using System.ComponentModel.DataAnnotations;
using WebApp.Entities;

namespace WebApp.DTOs;

// Input values in JSON file to create event
public record class EventCreateDto
(
    [Required][StringLength(50)] string Title,
    [StringLength(500)] string Description,
    [Required][StringLength(100)] string Location,
    [Required] DateTime? EventDate,
    ICollection<EventSkill> EventSkills
);
